/* eslint-disable */
/**liuwh
 * 5/26/2020, 4:44:40 PM
 * doc comment for the file goes here
 */

/** Happy Coding */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Switch, Route, Redirect } from 'react-router-dom';

// 引进页面（pages）
import Workbench from '../module/oa/index/workbench'; //首页--工作台
import System from '../module/oa/index/System'; //首页--工作制度
import Announcement from '../module/oa/index/Announcement'; //全部通知

import DocumentEdit from '../module/oa/document/DocumentEdit'; //新建文档
import DocumentDetail from '../module/oa/document/DocumentDetail'; //文档详情
import BrowseLog from '../module/oa/logManage/browseLog'; //浏览日志
import OperLog from '../module/oa/logManage/operLog'; //操作日志
import Rawler from '../module/oa/logManage/Rawler'; //爬虫词条管理
import Information from '../module/oa/personal/information'; //个人信息
import UserManage from '../components/oa/basicConfig/UserManage'; //用户管理
import MeritsOverview from '../module/oa/merits/meritsOverview';//绩效管理--绩效总览
import MeritsDetail from '../module/oa/merits/meritsDetail';//绩效管理--绩效详情
import MeritsDispose from '../module/oa/merits/meritsDispose';//绩效管理--绩效指标
import MeritsExamine from '../module/oa/merits/meritsExamine';//绩效管理--绩效考核

export default function OaRouteDom({ }) {
  return (
    <React.Fragment>
        <Route path="/baseManage/user" component={UserManage} />
        <Route path="/document/create/:id?" component={DocumentEdit} />
        <Route path="/document/detail/:id" component={DocumentDetail} />
        <Route path="/index/workbench/announcement" component={Announcement} />
        <Route path="/index/rules" component={System} />
        <Route path="/index" component={Workbench} />
        <Route path="/logManage/browseLog" component={BrowseLog} />
        <Route path="/logManage/operLog" component={OperLog} />
        <Route path="/logManage/rawler" component={Rawler} />
        <Route path="/personal/information" component={Information} />
        <Route path="/merits/meritsOverview/meritsDetail/:userId/:boolean/:meritsMonth" component={MeritsDetail} />
        <Route path="/merits/meritsOverview" component={MeritsOverview} />
        <Route path="/merits/meritsDispose" component={MeritsDispose} />
        <Route path="/merits/meritsExamine" component={MeritsDetail} />
        {/* <Route path="/" component={Workbench} /> */}
        {/* <Redirect from="/" to="/index" component={Workbench} /> */}
    </React.Fragment>
  )
}
